function onShowGameModeTutorial(gameMode)

	API_Log("**************onShowGameModeTutorial")

	tutorialName = ""

	if gameMode == "foammode" then
		tutorialName = "tutorial_animated_foam.xml"

	elseif gameMode == "growthmode" then
		tutorialName = "tutorial_animated_clams.xml"

	elseif gameMode == "freeyourfriendsmode" then
		tutorialName = "tutorial_animated_fyf.xml"

	elseif gameMode == "jellyfishmode" then
		tutorialName = "tutorial_animated_jelly_fish.xml"

	elseif gameMode == "collectionmode" then
		tutorialName = "tutorial_animated_collection.xml"

	elseif gameMode == "savethecharactersmode" then
		tutorialName = "tutorial_animated_ctt.xml"			
	end

	if tutorialName ~= "" then
		tutorialPath = "art/scenes/animated_tutorial/" .. tutorialName
		API_StartTutorial("blocking", "showAnimation")
    	API_LoadArbitraryXML(tutorialPath, "locatorForAnimatedTutorial")
		API_EnableHint("false")
    end

end

function OnTutorialReminderFinished()
		API_EnableHint("true")
end
