function SlideStep0()
	API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_ctt.xml","locatorForAnimatedTutorial")
end

function onTutorialFinished()
	if tutorialStep == 0 then
        SlideCharacterHorizontallyStep1()
        tutorialStep = 1
    end
end 

function SlideCharacterHorizontallyStep1()
--	API_Log("**************step1")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 2, 6, 2)
	API_EnableMaskTiles("false", 1, 2, 3, 4)
	API_HighlightItems("3,2; 4,2; 0,1; 0,3")
	API_ShowArrowAnimation(3, 2, 0, 2)
	API_SetAllowedSliding("horizontal")
	
end

function SlideCharacterVerticallyStep2()
--	API_Log("**************step2")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(2, 0, 2, 6)
	API_EnableMaskTiles("false", 1, 2, 3, 4)
	API_HighlightItems("2,0; 3,4; 2,1; 0,3")
	API_ShowArrowAnimation(2, 1, 2, 3)
	API_SetAllowedSliding("vertical")
end

function UsePowerUpWithCharacterStep3()
--	API_Log("**************step3")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(2, 3, 3, 4)
	API_EnableMaskTiles("false", 1, 2, 3, 4)
	API_HighlightItems("3,4; 6,4")
	API_ShowFingerTapAnimation(3, 4)
	API_SetAllowedSliding("none")
end


function ShowYouHaveDoneGreat()
--	API_Log("**************step4")
	API_SetAllowedSliding("all")
	API_EnableHint("true")
	API_EnableGlobalMasking("false")
	API_EndTutorial()
end


function onInit()

	API_Log("**************onInit")
	API_EnableHint("false")
	SlideStep0()
	tutorialStep = 0
	API_AddItemsToSpawnerBuffer("normal:red,normal:green,normal:green,normal:red,normal:red,normal:green,normal:pink,normal:pink,normal:blue");
end


function onEndTurn()

	API_Log("**************onEndTurn")
	if tutorialStep == 1 then		
		API_EndTutorial()
		SlideCharacterVerticallyStep2()
		tutorialStep = 2
	elseif tutorialStep == 2 then		
		API_EndTutorial()
		UsePowerUpWithCharacterStep3()
		tutorialStep = 3
	elseif tutorialStep == 3 then		
        ShowYouHaveDoneGreat()
		tutorialStep = 4
	end
end

function onMatch()
	
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
	
end

function onPowerUpTriggered(type)
	API_Log("POWER UP TRIGGERED " .. 'Type: ' .. type )
	if tutorialStep == 3 then
		API_EndTutorial()
	end
end