function SlideStep0()
	API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_fyf.xml","locatorForAnimatedTutorial")
end

function onTutorialFinished()
	if tutorialStep == 0 then
        SlideStep1()
        tutorialStep = 1
    end
end 

function SlideStep1()
	API_Log("**************step1")
	API_StartTutorial("blocking", "slideItem")
--	API_ShowTextBox("tutorial_slide_row_01")
	API_AddInputFilterArea(3, 2, 7, 2)
	API_EnableMaskTiles("false", 5, 0, 5, 2)
	API_HighlightItems("7,2")
	API_ShowArrowAnimation(7, 2, 5, 2)
	API_SetAllowedSliding("horizontal")
	
end

function SlideStep2()
	API_Log("**************step2")
	API_StartTutorial("blocking", "slideItem")
	--API_ShowTextBox("tutorial_slide_row_01")
	API_AddInputFilterArea(1, 3, 6, 3)
	API_EnableMaskTiles("false", 1, 3, 4, 3)
	API_HighlightItems("5,3; 6,3")
	API_ShowArrowAnimation(5, 3, 3, 3)
	API_SetAllowedSliding("horizontal")
end

function SlideStep3()
	API_Log("**************step3")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(3, 6, 3, 6)
	API_EnableMaskTiles("false", 0, 6, 0, 6)
	API_HighlightItems("3,6")
	API_ShowFingerTapAnimation(3, 6)
	--API_SetAllowedSliding("none")
	API_SetAllowedSliding("horizontal")
end


function ShowYouHaveDoneGreat()
	API_Log("**************step5")

--	API_StartTutorial("blocking", "anyTouch")
	API_EnableHint("true")
	API_EnableGlobalMasking("false")
--	API_ShowTextBox("tutorial_congratulation")
--	API_SetAllowedSliding("all")
	--API_EnableHint("true")
	API_SetAllowedSliding("all")
	API_EndTutorial()
end


function onInit()

	API_Log("**************onInit")
	API_EnableHint("false")
	SlideStep0()
	tutorialStep = 0
	API_AddItemsToSpawnerBuffer("normal:red,normal:green,normal:green,normal:yellow,normal:red,normal:green,normal:pink,normal:pink,normal:blue");
end


function onEndTurn()

	API_Log("**************onEndTurn")
	if tutorialStep == 1 then
		SlideStep2()
		tutorialStep = 2
	elseif tutorialStep == 2 then
		tutorialStep = 3
		SlideStep3()
    elseif tutorialStep == 3 then
        tutorialStep = 4
        ShowYouHaveDoneGreat()
	end
end

function onMatch()
	
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
	
end