function SlideStep0()
	API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_net.xml","locatorForAnimatedTutorial")
end

function onTutorialFinished()
	if tutorialStep == 0 then
        SlideStep1()
        tutorialStep = 1
    end
end 

function SlideStep1()
	API_Log("**************step1")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 3, 6, 5)
	API_EnableMaskTiles("false", 3, 3, 3, 5)
	API_HighlightItems("1,3")
	API_ShowArrowAnimation(1, 3, 3, 3)
	API_SetAllowedSliding("horizontal")
end


function ShowYouHaveDoneGreat()
	API_Log("**************step5")
	API_EnableHint("true")
	API_EnableGlobalMasking("false")
	API_SetAllowedSliding("all")
	API_EndTutorial()
end


function onInit()

	API_Log("**************onInit")
	API_EnableHint("false")
	SlideStep0()
	tutorialStep = 0
	API_AddItemsToSpawnerBuffer("normal:red,normal:green,normal:green,normal:red,normal:red,normal:green,normal:pink,normal:pink,normal:blue");
end


function onEndTurn()

	API_Log("**************onEndTurn")
	if tutorialStep == 1 then
		tutorialStep = 2
		ShowYouHaveDoneGreat()
	end
end

function onMatch()
	
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
	
end