function SlideStep0()
    API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_merge_powerup.xml","locatorForAnimatedTutorial")
end

function onTutorialFinished()
	if tutorialStep == 0 then
		API_EnableHint("false")
        SlideStep1()
        tutorialStep = 1
    end
end 

function SlideStep1()
	API_Log("**************step1")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 4, 8, 4)
	API_EnableMaskTiles("false", 0, 0, 0, 0)
	API_ShowArrowAnimation(2, 4, 4, 4)
	API_HighlightItems("2,4; 4,5")
	API_SetAllowedSliding("horizontal")
end

function ShowYouHaveDoneGreat()
	API_Log("**************step2")
	API_EnableGlobalMasking("false")
	API_SetAllowedSliding("all")
	API_EnableHint("true")
	API_EndTutorial()
end

function onInit()
	API_Log("**************onInit")
	SlideStep0()
	tutorialStep = 0
end

function onEndTurn()
	API_Log("**************onEndTurn")
	if tutorialStep == 1 then
		ShowYouHaveDoneGreat()
		tutorialStep = 2
	end
end

function onMatch()
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
end