function SlideStep0()
    API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_wrapping.xml","locatorForAnimatedTutorial")
end

function onTutorialFinished()
	if tutorialStep == 0 then
        SlideStep1()
        tutorialStep = 1
    end
end 

function SlideStep1()
	API_Log("**************step1")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 2, 5, 2)
	API_EnableMaskTiles("false", 0, 0, 1, 2)
	API_HighlightItems("4,2; 5,2")
	API_ShowArrowAnimation(4, 2, 6, 2)
	API_SetAllowedSliding("horizontal")
end


function ShowYouHaveDoneGreat()
	API_Log("**************step2")
	API_EnableHint("true")
	API_EnableGlobalMasking("false")
	API_SetAllowedSliding("all")
	API_EndTutorial()
end


function onInit()

	API_Log("**************onInit")
	API_EnableHint("false")
	SlideStep0()
	tutorialStep = 0
	API_AddItemsToSpawnerBuffer("normal:green,normal:red");
end


function onEndTurn()

	API_Log("**************onEndTurn")
	if tutorialStep == 1 then
		tutorialStep = 2
		ShowYouHaveDoneGreat()
	end
end

function onMatch()
	
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
	
end