varying highp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;

uniform vec4 u_params;  // x = fade interpolator

void main()
{
	vec4 color = texture2D(u_texture, v_texCoord);
	vec4 blur = texture2D(u_texture1, v_texCoord);
	
	gl_FragColor = mix(color, blur, u_params.x);
}