varying highp vec2 v_texCoord;

uniform sampler2D u_texture;

uniform highp vec4 u_params;

void main()
{
	highp vec4 color = texture2D(u_texture, v_texCoord + vec2(-u_params.x, -u_params.y));
	color += texture2D(u_texture, v_texCoord + vec2(u_params.x, -u_params.y));
	color += texture2D(u_texture, v_texCoord + vec2(-u_params.x, u_params.y));
	color += texture2D(u_texture, v_texCoord + vec2(u_params.x, u_params.y));

	gl_FragColor = color * 0.25;
	
	//gl_FragColor = color;
	//gl_FragColor = texture2D(u_texture, v_texCoord) * u_params;
}