varying highp vec2 v_texCoord;

uniform sampler2D u_texture;

uniform highp vec4 u_params;

void main()
{
	float dx = u_params.z*(1.0/u_params.x);
	float dy = u_params.z*(1.0/u_params.y);
	vec2 coord = vec2(dx*floor(v_texCoord.x/dx), dy*floor(v_texCoord.y/dy));
	
	gl_FragColor = texture2D(u_texture, coord);
}