function onSagaMapInit()
	API_Log("************** onSagaMapInit")
end

function onEpisodeLoaded(episodeNumber)
	episodeNumber = tonumber(episodeNumber)
	currentEpisodeNumber = API_GetCurrentEpisodeNumber()

	characterSceneObjectId = string.format("episode_%03d_characters", episodeNumber)
	bubbleSceneObjectId = string.format("episode_%03d_characters/speech_bubble", episodeNumber)
	isVisible = currentEpisodeNumber >= episodeNumber

	API_Log("************** onEpisodeLoaded ".. episodeNumber .."|| current Episode: " .. currentEpisodeNumber)
	API_Log("characterSceneObjectId = ".. characterSceneObjectId .." bubbleSceneObjectId = " .. bubbleSceneObjectId)

	API_AddInteractiveCharacter(characterSceneObjectId, bubbleSceneObjectId, isVisible)
end

function onLevelWon(levelNumber)

	API_Log("**************onLevelWon|| Level: " .. levelNumber)

	if levelNumber == "100" then
		playLevel_100_Won_Dialog()
	end
end

function onLevelReached(reachedLevelNumber)
	API_Log("**************onLevelReached|| Level: " .. reachedLevelNumber)
end


function playLevel_100_Won_Dialog()
	API_Log("**************Level 100 Dialog Start" )
	
	API_StartDialogScreen("dixie", "scrubby")
	API_AddDialogStep("left", "his_lvl100_01")
	API_AddDialogStep("right", "his_lvl100_02")
	API_AddDialogStep("left", "his_lvl100_03")
	API_AddDialogStep("right", "his_lvl100_04")
end