
function SlideStep0()
    API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_fog.xml","locatorForAnimatedTutorial")
end


function onTutorialFinished()
	if tutorialStep == 0 then
        ShowHowToTapPU()
        tutorialStep = 1
	elseif tutorialStep == 1 then
		API_EnableHint("true")
    end
end 

function ShowHowToTapPU()

	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 0, 4, 4)
	API_EnableMaskTiles("false", 3, 4, 5, 4)
	API_HighlightItems("4,2")
	API_ShowFingerTapAnimation(4, 2)
	API_SetAllowedSliding("none")

end

function ShowYouHaveDoneGreat()
	API_SetAllowedSliding("all")
end

function onInit()

	API_Log("**************onInit")
	SlideStep0()
	tutorialStep = 0
	API_EnableHint("false")
end

function onEndTurn()

	API_Log("**************onEndTurn")
	if tutorialStep == 1 then
		ShowYouHaveDoneGreat()
		tutorialStep = 2
	end
end


function onPowerUpTriggered(type)
	API_Log("POWER UP TRIGGERED " .. 'Type: ' .. type )
	if tutorialStep >= 1 then
		API_EndTutorial()
	end
end

