
function SlideStep0()
    API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_row.xml","locatorForAnimatedTutorial")
end

function onTutorialFinished()
	if tutorialStep == 0 then
        SlideStep1()
        tutorialStep = 1
    end
end 

function SlideStep1()
	API_Log("**************step1")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 0, 6, 2)
	API_EnableMaskTiles("false", 3, 0, 3, 2)
	API_HighlightItems("0,2")
	API_ShowArrowAnimation(0, 2, 3, 2)
	API_SetAllowedSliding("horizontal")
	
end

function SlideStep2()
	API_Log("**************step2")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 0, 6, 2)
	API_EnableMaskTiles("false", 2, 0, 4, 0)
	API_HighlightItems("3,2")
	API_ShowArrowAnimation(3, 2, 3, 0)
	API_SetAllowedSliding("vertical")
	
end

function SlideStep3()
	API_Log("**************step3")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 0, 6, 2)
	API_EnableMaskTiles("false", 3, 0, 3, 2)
	API_HighlightItems("6,1")
	API_ShowArrowAnimation(6, 1, 3, 1)
	API_SetAllowedSliding("horizontal")
end

function SlideStep4()
	API_Log("**************step4")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 0, 6, 2)
	API_EnableMaskTiles("false", 2, 2, 4, 2)
	API_HighlightItems("3,0")
	API_ShowArrowAnimation(3, 0, 3, 2)
	API_SetAllowedSliding("vertical")
	
end

function ShowYouHaveDoneGreat()
	API_Log("**************step5")
	API_SetAllowedSliding("none")
	API_EnableGlobalMasking("false")
	API_SetAllowedSliding("all")
	API_EndTutorial()
end


function onInit()

	API_Log("**************onInit")
	SlideStep0()
	tutorialStep = 0
	API_AddItemsToSpawnerBuffer("normal:blue,normal:yellow,normal:red,normal:red,normal:yellow,normal:blue,normal:orange,normal:red,normal:pink");
end


function onEndTurn()

	API_Log("**************onEndTurn")
	if tutorialStep == 1 then
		SlideStep2()
		tutorialStep = 2
	elseif tutorialStep == 2 then
		tutorialStep = 3
		SlideStep3()
	elseif tutorialStep == 3 then
		tutorialStep = 4
		SlideStep4()
    elseif tutorialStep == 4 then
        tutorialStep = 5
        ShowYouHaveDoneGreat()
	end
end

function onMatch()
	
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
	
end