function SlideStep0()
    API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_create_powerup.xml","locatorForAnimatedTutorial")
end

function onTutorialFinished()
	if tutorialStep == 0 then
        SlideStep1()
        tutorialStep = 1
    end
end 

function SlideStep1()
	API_Log("**************step1")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(3, 0, 3, 6)
	API_EnableMaskTiles("false", 2, 3, 5, 3)
	API_ShowArrowAnimation(3, 1, 3, 3)
	API_HighlightItems("3,1")
	API_SetAllowedSliding("vertical")
end

function ShowYouHaveDoneGreat()
	API_Log("**************step2")
	API_EnableGlobalMasking("false")
	API_SetAllowedSliding("all")
	API_EndTutorial()
end

function onInit()
	API_Log("**************onInit")
	SlideStep0()
	tutorialStep = 0
end

function onEndTurn()
	API_Log("**************onEndTurn")
	if tutorialStep == 1 then
		ShowYouHaveDoneGreat()
		tutorialStep = 2
	end
end

function onMatch()
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
end