function SlideStep0()
    API_StartTutorial("blocking", "showAnimation")
    API_LoadArbitraryXML("art/scenes/animated_tutorial/tutorial_animated_sponge.xml","locatorForAnimatedTutorial")
end

function onTutorialFinished()
	if tutorialStep == 0 then
        SlideStep1()
        tutorialStep = 1
    end
end 

function SlideStep1()
	API_Log("**************step1")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(3, 0, 3, 8)
	API_AddInputFilterArea(0, 5, 8, 5)
	API_EnableMaskTiles("false", 2, 5, 5, 5)
	API_HighlightItems("3,4")
	API_ShowArrowAnimation(3, 4, 3, 5)
	API_SetAllowedSliding("all")
end

function SlideStep2()
	API_Log("**************step2")
	API_StartTutorial("blocking", "slideItem")
	API_AddInputFilterArea(0, 5, 8, 5)
	API_EnableMaskTiles("false", 7, 4, 7, 6)
	API_HighlightItems("4,5")
	API_ShowArrowAnimation(4, 5, 7, 5)
	API_SetAllowedSliding("horizontal")
end


function ShowYouHaveDoneGreat()
	API_Log("**************step2")
	API_EnableHint("true")
	API_EnableGlobalMasking("false")
	API_SetAllowedSliding("all")
	API_EndTutorial()
end
 

function onInit()

	API_Log("**************onInit")
	API_EnableHint("false")
	SlideStep0()
	tutorialStep = 0
--// API_AddItemsToSpawnerBuffer("normal:red,normal:green,normal:green,normal:red,normal:red,normal:green,normal:pink,normal:pink,normal:blue");
end



function onEndTurn()

	API_Log("**************onEndTurn")
	if tutorialStep == 1 then
		SlideStep2()
		tutorialStep = 2
	elseif tutorialStep == 2 then
		tutorialStep = 3
		ShowYouHaveDoneGreat()
	end
end

function onMatch()
	
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
	
end